=== debian/changelog ===
ros-iron-qt-gui-cpp (2.4.2-1jammy) jammy; urgency=high

  * Fix ClassLoader warning by unloading plugin providers. (#275 <https://github.com/ros-visualization/qt_gui_core/issues/275>)
  * Chen Lihui

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 18 May 2023 16:00:00 -0000

ros-iron-qt-gui-cpp (2.4.1-1jammy) jammy; urgency=high

  * fix shiboken error (#267 <https://github.com/ros-visualization/qt_gui_core/issues/267>)
  * Contributors: Christoph Hellmann Santos, Michael Carroll, Rhys Mainwaring

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-qt-gui-cpp (2.4.0-1jammy) jammy; urgency=high

  * Conditionally run import tests when generators are built (#269 <https://github.com/ros-visualization/qt_gui_core/issues/269>)
  * Contributors: Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-qt-gui-cpp (2.3.2-1jammy) jammy; urgency=high

  * Add in LICENSE file
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-qt-gui-cpp (2.3.1-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-iron-qt-gui-cpp (2.3.0-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 May 2022 16:00:00 -0000

ros-iron-qt-gui-cpp (2.2.0-1jammy) jammy; urgency=high

  * Install headers to include${PROJECT_NAME} (#259 <https://github.com/ros-visualization/qt_gui_core/issues/259>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-qt-gui-cpp (2.1.1-1jammy) jammy; urgency=high

  * Export targets instead of old-style CMake variables (#257 <https://github.com/ros-visualization/qt_gui_core/issues/257>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-qt-gui-cpp (2.1.0-1jammy) jammy; urgency=high

  * FindPython3 explicitly instead of FindPythonInterp implicitly (#254 <https://github.com/ros-visualization/qt_gui_core/issues/254>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Nov 2021 16:00:00 -0000

ros-iron-qt-gui-cpp (2.0.1-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Apr 2021 16:00:00 -0000

ros-iron-qt-gui-cpp (2.0.0-1jammy) jammy; urgency=high

  * Fix duplicated QMap to QMultiMap (#244 <https://github.com/ros-visualization/qt_gui_core/issues/244>)
  * Switch to using the filesystem implementation in rcpputils. (#239 <https://github.com/ros-visualization/qt_gui_core/issues/239>)
  * Contributors: Chris Lalancette, Homalozoa X

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 16:00:00 -0000

ros-iron-qt-gui-cpp (1.1.2-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Sep 2020 16:00:00 -0000

ros-iron-qt-gui-cpp (1.1.1-1jammy) jammy; urgency=high

  * avoid a warning about C++ plugins on Windows (#232 <https://github.com/ros-visualization/qt_gui_core/issues/232>)
  * qt_gui_cpp_sip: declare private assignment operator for SIP (#226 <https://github.com/ros-visualization/qt_gui_core/issues/226>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 02 Aug 2020 16:00:00 -0000

ros-iron-qt-gui-cpp (1.1.0-1jammy) jammy; urgency=high

  * Use ament_target_dependencies for qt_gui_cpp. (#221 <https://github.com/ros-visualization/qt_gui_core/issues/221>)
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.9-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.8-1jammy) jammy; urgency=high

  * quiet upstream Qt5 warnings (#210 <https://github.com/ros-visualization/qt_gui_core/issues/210>)
  * fix project name in log message (#208 <https://github.com/ros-visualization/qt_gui_core/issues/208>)
  * fixed namespace in typesystem.xml (#201 <https://github.com/ros-visualization/qt_gui_core/issues/201>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2020 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.7-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.6-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 09 Jun 2019 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.4-1jammy) jammy; urgency=high

  * support TinyXML2 version 2.2.0 on Xenial (#169 <https://github.com/ros-visualization/qt_gui_core/issues/169>)
  * set default C++ standard to 14
  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 07 Feb 2019 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.3-1jammy) jammy; urgency=high

  * skip qt_gui_cpp on Windows (#158 <https://github.com/ros-visualization/qt_gui_core/issues/158>)
  * fix finding Qt5 widgets on Windows (#157 <https://github.com/ros-visualization/qt_gui_core/issues/157>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.2-1jammy) jammy; urgency=high

  * move build location of qt_gui_cpp_sip library out-of-source (#156 <https://github.com/ros-visualization/qt_gui_core/issues/156>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.1-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-iron-qt-gui-cpp (1.0.0-1jammy) jammy; urgency=high

  * port to Windows (#146 <https://github.com/ros-visualization/qt_gui_core/issues/146>)
  * check check of return value of loadFile (#152 <https://github.com/ros-visualization/qt_gui_core/issues/152>)
  * add required libraries (#148 <https://github.com/ros-visualization/qt_gui_core/issues/148>)

